import { otherHttp } from '/@/utils/http/axios'

enum Api {
    goodsList = '/trade/goods/list', // 农资列表
	getEnterpriseList = '/server/enterprise/list', // 可信农资列表
}

/**
 * @param params 请求参数
 * @description: 农资列表
 */
export function goodsList(params = {}) {
    return otherHttp.get({
        url: Api.goodsList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: APP可信农资列表
 */
export function getEnterpriseList(params = {}) {
    return otherHttp.get({
        url: Api.getEnterpriseList,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}